$.extend({
    msgbox : function(opts){
        var defaults = {
			isVisible : true,//是否显示
			isOpen : false,//是否展开
			msgnum : 0,//消息盒子中的消息数目
			openSpeed : 200,//展开的速度
			title : '消息通知列表'//标题
	  	};
	  	var option = $.extend(defaults,opts);
		
		var boxhtml = '';
		boxhtml += '<div class="msgbox">';
		boxhtml += '	<div class="mb_leftpanel">';
		boxhtml += '		<div class="mb_header">';
		boxhtml += '			<h1 class="mb_title">';
		boxhtml += '				<span class="mb_title_text">'+option.title+'</span><a class="mb_close" href="javascript:void(0)"></a>';
		boxhtml += '			</h1>';
		boxhtml += '		</div>';
		boxhtml += '		<div class="mb_content"></div>';
		boxhtml += '	</div>';
		boxhtml += '	<div class="mb_rightpanel">';
		boxhtml += '		<a class="mb_msgicon" href="javascript:void(0)">';
		boxhtml += '			<span class="mb_msgnum">'+option.msgnum+'</span>';
		boxhtml += '		</a>';
		boxhtml += '	</div>';
		boxhtml += '</div>';
		
		var box = {
			isVisible : option.isVisible,
			isOpen : option.isOpen,
			msgnum : option.msgnum,
			title : option.title,
			content : option.content,
			showBox : function(){
				$('.msgbox,.mb_msgnum').css('visibility','visible');
				},
			hideBox : function(){
				$('.msgbox,.mb_msgnum').css('visibility','hidden');
				},
			setTitle : function(t){
				this.title = t;
				$('.msgbox .mb_title_text').text(t);
				},
			openBox : function(closetime){
				var _this = this;
				var leftpanel = $('.mb_leftpanel');
				if(_this.msgnum>0)_this.clearMsgnum();
				leftpanel.animate({width:680,height:480},option.openSpeed,function(){
					if(closetime){
					setTimeout(function(){
						_this.closeBox();
						},closetime);
					}
					}).css('visibility','visible');	
				this.isOpen = true;
				
				},
			closeBox : function(){
				var leftpanel = $('.mb_leftpanel');
				leftpanel.animate({width:0,height:0},option.openSpeed,function(){leftpanel.css('visibility','hidden')});
				this.isOpen = false;
				},
			setMsgnum : function(num){
				this.msgnum = num;
				$('.mb_msgnum').css('visibility','visible').text(num);
				if(this.msgnum==0)this.clearMsgnum();
				},
			getMsgnum : function(){
				return this.msgnum;
				},
			clearMsgnum : function(){
				$('.mb_msgnum').css('visibility','hidden').text('');
				},
			setContent : function(cont){
				this.content = cont;
				$('.msgbox .mb_content').html(cont);
				},
			getContent : function(){
				return this.content||'';
				},
			init : function(){
				$('body').append(boxhtml);
				var msgbox = $('.msgbox');
				var leftpanel = $('.mb_leftpanel');
				var _this = this;
				
				if(this.msgnum==0)this.clearMsgnum();
				msgbox.find('.mb_close').click(function(){
					_this.closeBox();
					});

				msgbox.find('.mb_msgicon').click(function(){
					if(_this.isOpen){
						_this.closeBox();
						}
					else{
						_this.openBox();
						}
					});
					
				}
			};
		box.init();
		return box;

    }
});
$(function(){
	window.msgbox = $.msgbox();
	});